libdap::chunked_istream Class Reference
Inheritance diagram for libdap::chunked_istream:

## Public Member Functions

int | bytes_in_buffer () const
| chunked_istream (std::istream &is, int size)
bool | error () const
std::string | error_message () const
int | read_next_chunk ()
bool | twiddle_bytes () const

## Protected Attributes

chunked_inbuf | d_cbuf

## Detailed Description

Definition at line 126 of file chunked_istream.h.

## Constructor & Destructor Documentation

## chunked_istream()

libdap::chunked_istream::chunked_istream | ( | std::istream & | is,
|  | int | size
| ) |  |

inline

Definition at line 131 of file chunked_istream.h.

## Member Function Documentation

## bytes_in_buffer()

int libdap::chunked_istream::bytes_in_buffer | ( |  | ) | const

inline

How many bytes have been read from the stream and are now in the internal buffer?

Returns
  Number of buffered bytes.

Definition at line 139 of file chunked_istream.h.

## error()

bool libdap::chunked_istream::error | ( |  | ) | const

inline

Definition at line 152 of file chunked_istream.h.

## error_message()

std::string libdap::chunked_istream::error_message | ( |  | ) | const

inline

Definition at line 153 of file chunked_istream.h.

## read_next_chunk()

int libdap::chunked_istream::read_next_chunk | ( |  | ) |

inline

Definition at line 133 of file chunked_istream.h.

## twiddle_bytes()

bool libdap::chunked_istream::twiddle_bytes | ( |  | ) | const

inline

Should the receiver twiddle the bytes to match the local machine's byte order? Since DAP4 uses 'receiver makes right' encoding, the onus is on the client to reorder the bytes if it is, e.g., a big endian machine reading data from a little endian server.

Returns
  True if the client (caller) should swap bytes in multi-byte integers, etc., and false if not. This does not directly tell the endian nature of the remote server, although that can be inferred.

Definition at line 151 of file chunked_istream.h.

## Member Data Documentation

## d_cbuf

chunked_inbuf libdap::chunked_istream::d_cbuf

protected

Definition at line 128 of file chunked_istream.h.

The documentation for this class was generated from the following file:

- chunked_istream.h